
Foreman - Bug #799

AIX "operating system" info not appearing on "foreman/hosts" page

03/29/2011 10:14 AM - monte olvera

Status: Duplicate   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I have puppet 2.6.4 and foreman 0.1-6 installed on redhat 5.5.  On the http://foreman:3000/hosts page I'm not seeing Aix "operating

system" information:  facter "operatingsystem" and "kernelrelease"/"kernelversion" does NOT appear.  The "name" appears and is

correctly labled as Aix, the "environment" appears correctly and the "last report", only the "operating system" values are missing. 

What can I edit to make these show up?  Thanks.

Related issues:

Related to Foreman - Bug #1489: AIX not showing up on Hosts page Closed 02/08/2012

Related to Foreman - Bug #105: Operating Major version too short for AIX Resolved 12/01/2009

Related to Foreman - Feature #2445: Add OS image for AIX Closed 04/30/2013

History

#1 - 03/31/2011 11:46 AM - monte olvera

- File aix_hosts_page.JPG added

Instead of fixing foreman I changed AIX "kernelrelease" and "hardwaremodel" Facters.  I also added an AIX jpg (public/images/hosts/Aix.jpg) to have

an icon appear next to the "name" column on the "hosts" page.  Only issue now is the AIX icon (other OSes appear to use a PNG: public/images/) not

showing under "operating system" column on the "hosts" foreman page.  Not a big deal but I'd like to get it resolved.

#2 - 01/03/2013 11:10 AM - Benjamin Papillon

- Tracker changed from Support to Bug

#3 - 10/18/2013 09:02 AM - Benjamin Papillon

- Related to Feature #2445: Add OS image for AIX added

#4 - 01/03/2014 02:28 PM - Dominic Cleal

- Description updated

- Status changed from New to Duplicate

This is being implemented via #1489, thanks.
